EM FHEquiv: Difference between revisions

From FreeCAD Documentation
No edit summary
(Marked this version for translation)
Line 2: Line 2:
<translate>
<translate>


<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=EM FHEquiv
|Name=EM FHEquiv
Line 11: Line 12:
}}
}}


==Description==
==Description== <!--T:2-->


<!--T:3-->
The FHEquiv tool short-circuits two FHNode objects.
The FHEquiv tool short-circuits two FHNode objects.
</translate>
</translate>
Line 18: Line 20:
[[Image:EM_FHEquiv_Example.png]]
[[Image:EM_FHEquiv_Example.png]]
<translate>
<translate>
<!--T:4-->
{{Caption|FastHenry FHEquiv}}
{{Caption|FastHenry FHEquiv}}


==How to use==
==How to use== <!--T:5-->


<!--T:6-->
The FHEquiv object is based on the two existing FHNodes that it will short-circuit.
The FHEquiv object is based on the two existing FHNodes that it will short-circuit.


<!--T:7-->
# Select two [[EM_FHNode|FHNode]] objects
# Select two [[EM_FHNode|FHNode]] objects
# Press the {{Button|[[Image:EM_FHEquiv.svg|16px]] [[EM_FHEquiv|EM FHEquiv]]}} button, or press {{KEY|E}} then {{KEY|E}} keys.
# Press the {{Button|[[Image:EM_FHEquiv.svg|16px]] [[EM_FHEquiv|EM FHEquiv]]}} button, or press {{KEY|E}} then {{KEY|E}} keys.


===Remarks:===
===Remarks:=== <!--T:8-->


<!--T:9-->
* If you need to short-circuit multiple nodes, just create multiple FHEquiv nodes. You don't need a full mesh of FHEquiv nodes, as of course if node1 is shorted with node2, and node2 is shorted with node3, also node1 will result shorted with node3.
* If you need to short-circuit multiple nodes, just create multiple FHEquiv nodes. You don't need a full mesh of FHEquiv nodes, as of course if node1 is shorted with node2, and node2 is shorted with node3, also node1 will result shorted with node3.


==Properties==
==Properties== <!--T:10-->


<!--T:11-->
* {{PropertyData|Node1}}: the first [[EM_FHNode|FHNode]] to short-circuit
* {{PropertyData|Node1}}: the first [[EM_FHNode|FHNode]] to short-circuit
* {{PropertyData|Node2}}: the second [[EM_FHNode|FHNode]] to short-circuit
* {{PropertyData|Node2}}: the second [[EM_FHNode|FHNode]] to short-circuit


==Scripting==
==Scripting== <!--T:12-->


<!--T:13-->
{{Emphasis|See also:}} [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD Scripting Basics]].


<!--T:14-->
The FHEquiv object can be used in [[macros]] and from the [[Python]] console by using the following function:
The FHEquiv object can be used in [[macros]] and from the [[Python]] console by using the following function:
</translate>
</translate>
Line 46: Line 55:
}}
}}
<translate>
<translate>
<!--T:15-->
* Creates a {{incode|FHEquiv}} object.
* Creates a {{incode|FHEquiv}} object.
* {{incode|node1}} is the first node [[EM_FHNode|FHNode]] object to short-circuit.
* {{incode|node1}} is the first node [[EM_FHNode|FHNode]] object to short-circuit.
Line 51: Line 61:
* {{incode|name}} is the name of the object
* {{incode|name}} is the name of the object


<!--T:16-->
Example:
Example:
</translate>
</translate>
Line 64: Line 75:
{{clear}}
{{clear}}
<translate>
<translate>
<!--T:17-->
[[Category:User Documentation]]
[[Category:User Documentation]]


<!--T:18-->
[[Category:Addons]]
[[Category:Addons]]


<!--T:19-->
[[Category:External Workbenches]]
[[Category:External Workbenches]]
</translate>
</translate>

Revision as of 16:17, 3 February 2019

Other languages:

EM FHEquiv

Menu location
EM → FHEquiv
Workbenches
EM
Default shortcut
E E
Introduced in version
0.17 (Add-on)
See also
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHPort,

Description

The FHEquiv tool short-circuits two FHNode objects.

FastHenry FHEquiv

How to use

The FHEquiv object is based on the two existing FHNodes that it will short-circuit.

  1. Select two FHNode objects
  2. Press the EM FHEquiv button, or press E then E keys.

Remarks:

  • If you need to short-circuit multiple nodes, just create multiple FHEquiv nodes. You don't need a full mesh of FHEquiv nodes, as of course if node1 is shorted with node2, and node2 is shorted with node3, also node1 will result shorted with node3.

Properties

  • DataNode1: the first FHNode to short-circuit
  • DataNode2: the second FHNode to short-circuit

Scripting

See also: FreeCAD Scripting Basics.

The FHEquiv object can be used in macros and from the Python console by using the following function:

equiv = makeFHEquiv(node1=None,node2=None,name='FHEquiv')
  • Creates a FHEquiv object.
  • node1 is the first node FHNode object to short-circuit.
  • node2 is the second node FHNode object to short-circuit.
  • name is the name of the object

Example:

import FreeCAD, EM

fhnode1 = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)